using System;

class Program
{
    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        int[] a = new int[n];
        var s = Console.ReadLine().Split();

        for (int i = 0; i < n; i++)
        {
            a[i] = int.Parse(s[i]);
        }

        int q = int.Parse(Console.ReadLine());

        for (int i = 0; i < q; i++)
        {
            var p = Console.ReadLine().Split();
            int l = int.Parse(p[0]);
            int r = int.Parse(p[1]);
            int levi = l - 1;
            int desni = r - 1;
            int brojac = 0;

            while (levi < desni && brojac < 2)
            {
                if (a[levi] > a[levi + 1])
                {
                    brojac++;
                }

                if (a[desni] < a[desni - 1])
                {
                    brojac++;
                }

                levi++;
                desni--;
            }

            if (brojac < 3)
            {
                Console.WriteLine("DA");
            }

            else
            {
                Console.WriteLine("NE");
            }
        }
    }
}

// Ovom kodu je doprineo Milos